# Titan Postcss Config

> Reusable babel config that can get you setup on es6 module project or react

## Installation

1. yarn add @titan-tooling/babel-config --dev
2. extend which config you need in the `.babelrc` file:

```
{
  "extend": "@titan-tooling/babel-config/react"
  // or
  "extend": "@titan-tooling/babel-config/es6"
}
```

- react uses the airbnb config and compiles the react components to commonjs
- es6 uses the airban-base config which also compiles to commonjs

## Plugins

- [@babel/plugin-proposal-object-rest-spread](https://babeljs.io/docs/en/babel-plugin-proposal-object-rest-spread) - support for the spread operator
- [@babel/plugin-transform-modules-commonjs](https://babeljs.io/docs/en/babel-plugin-transform-modules-commonjs) - compiles es6 modules to commonjs
- [@babel/plugin-syntax-dynamic-import](https://babeljs.io/docs/en/babel-plugin-syntax-dynamic-import) - provides support for dynamic imports
